#include "widget.h"
#include <QPushButton>
#include <QVBoxLayout>
#include "kmessagebox.h"

using namespace kdk;

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    QVBoxLayout *layout = new QVBoxLayout;

    QPushButton *btn_1 = new QPushButton(this);
    btn_1->setText("TestDemoOne");
    QObject::connect(btn_1,&QPushButton::clicked,this,[=](){
        KMessageBox w;
        w.setCustomIcon(QIcon::fromTheme("dialog-error"));
        w.setText("打印测试失败，建议修改驱动后重试");

        QPushButton *btn1 = new QPushButton("修改驱动");
        QPushButton *btn2 = new QPushButton("取消");
        w.addButton(btn1,KMessageBox::YesRole);
        w.addButton(btn2,KMessageBox::NoRole);

        w.exec();
    });

    QPushButton *btn_2 = new QPushButton(this);
    btn_2->setText("TestDemoTwo");
    QObject::connect(btn_2,&QPushButton::clicked,this,[=](){
        KMessageBox w;
        w.setCustomIcon(QIcon::fromTheme("ukui-dialog-success"));
        w.setText("添加成功，是否打印测试页？");

        QPushButton *btn1 = new QPushButton("打印测试页");
        QPushButton *btn2 = new QPushButton("查看设备");
        w.addButton(btn1,KMessageBox::YesRole);
        w.addButton(btn2,KMessageBox::NoRole);

        w.exec();
    });

    layout->addWidget(btn_1);
    layout->addWidget(btn_2);

    this->setLayout(layout);
    this->setFixedSize(300,200);
}

Widget::~Widget()
{
}

