#include "widget.h"

#include <QApplication>
#include <kwindoweffects.h>
#include <QRegion>
#include <QTranslator>
#include "kwidgetutils.h"

int main(int argc, char *argv[])
{
    kdk::KWidgetUtils::highDpiScaling();
    QApplication a(argc, argv);
    QTranslator trans;
    QString locale = QLocale::system().name();
    if(locale == "zh_CN")
    {
        if(trans.load(":/translations/gui_zh_CN.qm"))
        {
            a.installTranslator(&trans);
        }
    }
    if(locale == "bo_CN")
    {
        if(trans.load(":/translations/gui_bo_CN.qm"))
        {
            a.installTranslator(&trans);
        }
    }
    Widget w;
    w.setAttribute(Qt::WA_TranslucentBackground,true);
    KWindowEffects::enableBlurBehind(w.winId(),true);
    w.show();
    return a.exec();
}
