#include <QApplication>
#include <QStyleFactory>
#include <QTranslator>
#include <QProgressDialog>
#include "testwidget.h"
#include "kwidget.h"
#include "kprogressdialog.h"
#include "kdialog.h"
#include "kwidgetutils.h"

using namespace kdk;
int main(int argc, char *argv[])
{
    kdk::KWidgetUtils::highDpiScaling();
    QApplication a(argc, argv);
    QTranslator trans;
    QString locale = QLocale::system().name();
    if(locale == "zh_CN")
    {
        if(trans.load(":/translations/gui_zh_CN.qm"))
        {
            a.installTranslator(&trans);
        }
    }
    if(locale == "bo_CN")
    {
        if(trans.load(":/translations/gui_bo_CN.qm"))
        {
            a.installTranslator(&trans);
        }
    }
    TestWidget widget;
    widget.setWidgetName("TestWidget");
    widget.setIcon("kylin-music");
    widget.show();
    return a.exec();
}
