#include "kwidgetutils.h"
#include <QApplication>
#include <QGuiApplication>
#include <QDebug>
#include <QtDBus/QtDBus>
#include <QGSettings/QGSettings>
#include <QByteArray>
#include <QVariant>

#define KWIN_SERVICE "org.ukui.KWin"
#define KWIN_PATH "/Compositor"
#define KWIN_INTERFACE "org.ukui.kwin.Compositing"
using namespace kdk;

KWidgetUtils::KWidgetUtils()
{

}

void KWidgetUtils::highDpiScaling()
{
#if (QT_VERSION >= QT_VERSION_CHECK(5, 6, 0))
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);
    qDebug()<<"setAttribute success";
#endif
#if (QT_VERSION >= QT_VERSION_CHECK(5, 14, 0))
    QApplication::setHighDpiScaleFactorRoundingPolicy(Qt::HighDpiScaleFactorRoundingPolicy::PassThrough);
    qDebug()<<"setHighDpiScaleFactorRoundingPolicy success";
#endif
}

bool KWidgetUtils::checkCompositorRunning()
{
    QDBusInterface dbus_iface (KWIN_SERVICE, KWIN_PATH, KWIN_INTERFACE, QDBusConnection::sessionBus());
    QVariant reply = dbus_iface.property ("active");
    bool isfoundCompositingManger = false;
    if (reply.toBool()) {
        isfoundCompositingManger = true;
    }

    if(!isfoundCompositingManger)
    {
        if(QGSettings::isSchemaInstalled("org.gnome.metacity"))
        {
            QProcess process;
            process.start("sh -c \"ps -e |grep metacity\"");
            if(process.waitForStarted(100)&&process.waitForFinished(100) && process.readAllStandardOutput().contains("metacity"))
            {
                QGSettings metacityGSettings("org.gnome.metacity", "/org/gnome/metacity/");
                isfoundCompositingManger = metacityGSettings.get("compositing-manager").toBool();
            }
        }
    }

    if(!isfoundCompositingManger)
    {
        if(QGSettings::isSchemaInstalled("org.mate.Marco.general"))
        {
            QProcess process;
            process.start("sh -c \"ps -e |grep marco\"");
            if(process.waitForStarted(100)&&process.waitForFinished(100) && process.readAllStandardOutput().contains("marco"))
            {
                QGSettings marcoGSettings("org.mate.Marco.general", "/org/mate/marco/general/");
                isfoundCompositingManger = marcoGSettings.get("compositing-manager").toBool();
            }
        }
    }

    return isfoundCompositingManger;
}
